## python-mcp 1.12.0

=== examples/clients/simple-chatbot/mcp_simple_chatbot/requirements.txt ===
python-dotenv>=1.0.0
requests>=2.31.0
mcp>=1.0.0
uvicorn>=0.32.1

=== debian/changelog ===
python-mcp (1.12.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Fri, 18 Jul 2025 10:15:57 +0200

=== debian/control ===
Source: python-mcp
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-hatchling,
 python3-examples,
 python3-inline-snapshot,
 python3-pytest,
 python3-pytest-xdist,
 python3-anyio,
 python3-jsonschema,
 python3-multipart,
 python3-pydantic,
 python3-pydantic-settings,
 python3-dirty-equals,
 python3-requests,
 python3-sse-starlette,
 python3-starlette,
 python3-typer,
 python3-uvicorn,
 python3-httpx,
 python3-httpx-sse,
 python3-setuptools,
 python3-websockets,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/modelcontextprotocol/python-sdk
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-mcp
Vcs-Git: https://gitlab.com/kalilinux/packages/python-mcp.git

Package: python3-mcp
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-typer
Description: implementation of the Model Context Protocol (Python 3)
 This package contains a full mcp specification, making it easy to:
    * build mcp clients that can connect to any mcp server
    * create mcp servers that expose resources, prompts and tools
    * use standard transports like stdio, sse, and streamable http
    * handle all mcp protocol messages and lifecycle events
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=mcp

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# do not run tests. most of them fail because of connections
	# issues

=== debian/tests/control ===
Test-Command: python-mcp --help
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/modelcontextprotocol/python-sdk/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-mcp 1.22.0

=== examples/clients/simple-chatbot/mcp_simple_chatbot/requirements.txt ===


=== debian/changelog ===
python-mcp (1.22.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * New upstream version 1.22.0
  * Refresh patches
  * Update debian/watch

 -- Sophie Brun <sophie@kali.org>  Tue, 25 Nov 2025 11:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,

=== debian/watch ===
Version: 5
Template: Github
Owner: modelcontextprotocol
Project: python-sdk

## python-mcp 1.26.0

=== debian/changelog ===
python-mcp (1.26.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.26.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Fri, 06 Feb 2026 10:20:57 +0100
